<?php
class Harrington_Customizer {
    public static function Harrington_Register($wp_customize) {
        self::Harrington_Sections($wp_customize);
        self::Harrington_Controls($wp_customize);
    }
    public static function Harrington_Sections($wp_customize) {
        /**
         * General Section
         */
        $wp_customize->add_section('general_setting_section', array(
            'title' => __('General Settings', 'harrington'),
            'description' => __('Allows you to Contact Info, Menu Text etc settings for Harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => '',
            'priority' => '10',
            'capability' => 'edit_theme_options'
            )
        );
        /**
         * Home Page Top Feature Area
         */
        $wp_customize->add_section('home_top_feature_area', array(
            'title' => __('Top Feature Area', 'harrington'),
            'description' => __('Allows you to setup Top feature area section for Harrington Theme.', 'harrington'), //Descriptive tooltip
            'panel' => '',
            'priority' => '11',
            'capability' => 'edit_theme_options'
                )
        );
        /**
         * Style Section
         */
        $wp_customize->add_section('style_section', array(
            'title' => __('Style Setting', 'harrington'),
            'description' => __('Allows you to setup Top Footer Section Text for Harrington Theme.', 'harrington'),
            'panel' => '',
            'priority' => '12',
            'capability' => 'edit_theme_options'
                )
        );
         $wp_customize->remove_section("colors");
    }
    public static function Harrington_Section_Content() {
        $section_content = array(
            'general_setting_section' => array(
                'inkthemes_contact_number',
                'inkthemes_nav'
            ),
            'home_top_feature_area' => array(
                'inkthemes_slideimage1',
                'inkthemes_sliderheading1',
                'inkthemes_Sliderlink1',
                'inkthemes_slider_button1'
            ),          
             'style_section' => array(
                'inkthemes_customcss'
            )
        );
        return $section_content;
    }

    public static function Harrington_Settings() {
        $harrington_settings = array(
            'inkthemes_contact_number' => array(
                'id' => 'inkthemes_options[inkthemes_contact_number]',
                'label' => __('Contact Number For Tap To Call Feature', 'harrington'),
                'description' => __('Mention your contact number here through which users can interact to you directly. This feature is called tap to call and this will work when the user will access your website through mobile phones or iPhone.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => '1800-252-654'
            ), 
            'inkthemes_nav' => array(
                'id' => 'inkthemes_options[inkthemes_nav]',
                'label' => __('Mobile Navigation Menu', 'harrington'),
                'description' => __('Enter your mobile navigation menu text.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => 'Menu'
            ), 
            'inkthemes_slideimage1' => array(
                'id' => 'inkthemes_options[inkthemes_slideimage1]',
                'label' => __('Top Feature Image', 'harrington'),
                'description' => __('The optimal size of the image is 1600px wide x 750px height, but it can be varied as per your requirement.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'image',
                'default' => get_template_directory_uri() . '/images/image-1.jpg'
            ),
            'inkthemes_sliderheading1' => array(
                'id' => 'inkthemes_options[inkthemes_sliderheading1]',
                'label' => __('Top Feature Heading', 'harrington'),
                'description' => __('Mention the heading for the Top Feature.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => __('Video chat with a friend, ping a colleague, or give someone a ring - all without leaving your inbox', 'harrington')
            ),
            'inkthemes_Sliderlink1' => array(
                'id' => 'inkthemes_options[inkthemes_Sliderlink1]',
                'label' => __('Link for Top Feature Image', 'harrington'),
                'description' => __('Mention the URL for first image.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'link',
                'default' => '#'
            ),
            'inkthemes_slider_button1' => array(
                'id' => 'inkthemes_options[inkthemes_slider_button1]',
                'label' => __('Link Text for Top Feature', 'harrington'),
                'description' => __('Mention the link text for top Feature Image', 'harrington'),
                'type' => 'option',
                'setting_type' => 'text',
                'default' => __('Read More', 'harrington')
            ),            
            'inkthemes_customcss' => array(
                'id' => 'inkthemes_options[inkthemes_customcss]',
                'label' => __('Custom CSS', 'harrington'),
                'description' => __('Quickly add your custom CSS code to your theme by writing the code in this block.', 'harrington'),
                'type' => 'option',
                'setting_type' => 'textarea',
                'default' => ''
            ),            
         );
        return $harrington_settings;
    }
    public static function Harrington_Controls($wp_customize) {
        $sections = self::Harrington_Section_Content();
        $settings = self::Harrington_Settings();
        foreach ($sections as $section_id => $section_content) {
            foreach ($section_content as $section_content_id) {
                switch ($settings[$section_content_id]['setting_type']) {
                    case 'image':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'harrington_sanitize_url');
                        $wp_customize->add_control(new WP_Customize_Image_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id']
                                )
                        ));
                        break;
                    case 'text':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'harrington_sanitize_text');
                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));
                        break;
                    case 'textarea':
                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'harrington_sanitize_textarea');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'textarea'
                                )
                        ));
                        break;
                    case 'link':

                        self::add_setting($wp_customize, $settings[$section_content_id]['id'], $settings[$section_content_id]['default'], $settings[$section_content_id]['type'], 'harrington_sanitize_url');

                        $wp_customize->add_control(new WP_Customize_Control(
                                $wp_customize, $settings[$section_content_id]['id'], array(
                            'label' => $settings[$section_content_id]['label'],
                            'description' => $settings[$section_content_id]['description'],
                            'section' => $section_id,
                            'settings' => $settings[$section_content_id]['id'],
                            'type' => 'text'
                                )
                        ));

                        break;
                    default:
                        break;
                }
            }
        }
    }
  public static function add_setting($wp_customize, $setting_id, $default, $type, $sanitize_callback) {
        $wp_customize->add_setting($setting_id, array(
            'default' => $default,
            'capability' => 'edit_theme_options',
            'sanitize_callback' => array('Harrington_Customizer', $sanitize_callback),
            'type' => $type
                )
        );
    }
    /**
     * adds sanitization callback funtion : textarea
     * @package Harrington
     */
    public static function harrington_sanitize_textarea($value) {
        $value = esc_html($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : url
     * @package Harrington
     */
    public static function harrington_sanitize_url($value) {
        $value = esc_url($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : text
     * @package Harrington
     */
    public static function harrington_sanitize_text($value) {
        $value = sanitize_text_field($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : email
     * @package Harrington
     */
    public static function harrington_sanitize_email($value) {
        $value = sanitize_email($value);
        return $value;
    }
    /**
     * adds sanitization callback funtion : number
     * @package Harrington
     */
    public static function harrington_sanitize_number($value) {
        $value = preg_replace("/[^0-9+ ]/", "", $value);
        return $value;
    }
}
// Setup the Theme Customizer settings and controls...
add_action('customize_register', array('Harrington_Customizer', 'Harrington_Register'));
function inkthemes_registers() {
          wp_register_script( 'inkthemes_jquery_ui', '//code.jquery.com/ui/1.11.0/jquery-ui.js', array("jquery"), true  );
	wp_register_script( 'inkthemes_customizer_script', get_template_directory_uri() . '/js/inkthemes_customizer.js', array("jquery","inkthemes_jquery_ui"), true  );
	wp_enqueue_script( 'inkthemes_customizer_script' );
	wp_localize_script( 'inkthemes_customizer_script', 'ink_advert', array(
            'pro' => __('View PRO version','harrington'),
            'url' => esc_url('http://www.inkthemes.com/wp-themes/wordpress-business-theme/')
            )
            );
}
add_action( 'customize_controls_enqueue_scripts', 'inkthemes_registers' );
